### Method

# Gio StaticResource get_resource

since: 2.32

#### Declaration

    GResource*
    g_static_resource_get_resource (
      GStaticResource* static_resource
    )

#### Description

Gets the GResource that was registered by a call to g_static_resource_init().

This is normally used by code generated by [glib-compile-resources][glib-compile-resources] and is not typically used by other code.

Available since: 2.32

#### Return value

Type: `GResource`

A `GResource`.

The data is owned by the instance.